NonAWTEnvironment (Barbecue 1.0.6d API)
Keywords: net.sourceforge.barbecue.env.NonAWTEnvironment class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.barbecue.env
Class NonAWTEnvironment

    java.lang.Object
      net.sourceforge.barbecue.env.NonAWTEnvironment

All Implemented Interfaces:
  Environment

public class NonAWTEnvironment
extends java.lang.Object
implements Environment

An environment used when absolutely no AWT activity is desired when handling barcodes.

Author:
  Ian Bourke

Constructor Summary
`NonAWTEnvironment(int resolution)` Constructs the environment with the mandatory output resolution.

Method Summary
`java.awt.Font` | `getDefaultFont()` Returns the default font for the environment.
`int` | `getResolution()` Returns the specified resolution for outputting barcodes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonAWTEnvironment

    public NonAWTEnvironment(int resolution)

  Constructs the environment with the mandatory output resolution. The resolution must be specified because this environment cannot look it up anywhere.

Parameters:
  `resolution` - The output resolution

Method Detail

### getResolution

    public int getResolution()

  Returns the specified resolution for outputting barcodes.

  Specified by:
    `getResolution` in interface `Environment`
  Returns:
    The resolution for the environment

### getDefaultFont

    public java.awt.Font getDefaultFont()

  Returns the default font for the environment.

  Specified by:
    `getDefaultFont` in interface `Environment`
  Returns:
    null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD